Rose::DB::Constants(3pm)

NAME
Rose::DB::Constants - Symbolic names for important Rose::DB constants.

SYNOPSIS
  use Rose::DB::Constants qw(IN_TRANSACTION);
  ...

  $ret = $db->begin_work or die $db->error;
  ...
  unless($ret == IN_TRANSACTION)
  {
    $db->commit or die $db->error;
  }

DESCRIPTION
This module contains and optionally exports symbolic names for important Rose::DB constants. The only constant defined so far is "IN_TRANSACTION". See the documentation for Rose::DB's begin_work() object method for more information on this constant.

This module inherits from "Exporter". No symbols are exported by default.

AUTHOR
John C. Siracusa (siracusa@gmail.com)

LICENSE
Copyright (c) 2010 by John C. Siracusa. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.